// Copyright (C) 2017 Ben Asselstine
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
#ifndef XGES_CREATE_PROMOTE_H
#define XGES_CREATE_PROMOTE_H 1
#include <argp.h>
typedef void* promote_t;
void init_promote (promote_t *promote);
int is_a_promote_option (int key);
void destroy_promote (promote_t promote);
extern struct argp promote_argp;
int promote_get_layer (promote_t promote);
double promote_get_position (promote_t promote);
double promote_get_duration (promote_t promote);
void promote_set_layer (promote_t promote, int layer);
void promote_set_position (promote_t promote, double position);
void promote_set_duration (promote_t promote, double duration);
int promote_get_justmakehole (promote_t);
int promote_get_destination_layer (promote_t);
#endif
