// Copyright (C) 2017 Ben Asselstine
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
#ifndef XGES_CREATE_H
#define XGES_CREATE_H 1
#include <argp.h>
#include "clip.h"
#include "layer.h"
#include "promote.h"
typedef void* xges_create_t;
void init_xges_create (xges_create_t *xges_create);
int get_xges_create_mode (xges_create_t xges_create);
void destroy_xges_create (xges_create_t xges_create);
void check_bad_option (int key, struct argp_state *state);
extern struct argp xges_create_argp;
extern struct argp xges_create_pour_argp;
extern struct argp xges_create_fill_argp;
int xges_create_generate (xges_create_t xges_create);
int is_a_transition (char *name);
#define CLIP_CMD "+clip"
#define LAYER_CMD "+layer"
#define PROMOTE_CMD "+promote"
#endif
